From 71451252f4b15c430d35c8e065690f1d22c4f5e3 Mon Sep 17 00:00:00 2001
From: gibman <gibman.dk@gmail.com>
Date: Fri, 8 Mar 2013 19:09:12 +0100
Subject: [PATCH 2/2] atsc fix

---
 .../Implementations/Analog/Graphs/Analog/TvCardAnalog.cs    | 13 +++++++++++++
 .../TV/Server/TvLibrary.Services/TVController.cs            |  5 +++--
 2 files changed, 16 insertions(+), 2 deletions(-)

diff --git a/TvEngine3/Mediaportal/TV/Server/TVLibrary/Implementations/Analog/Graphs/Analog/TvCardAnalog.cs b/TvEngine3/Mediaportal/TV/Server/TVLibrary/Implementations/Analog/Graphs/Analog/TvCardAnalog.cs
index 0ac5fe3..8dcb588 100644
--- a/TvEngine3/Mediaportal/TV/Server/TVLibrary/Implementations/Analog/Graphs/Analog/TvCardAnalog.cs
+++ b/TvEngine3/Mediaportal/TV/Server/TVLibrary/Implementations/Analog/Graphs/Analog/TvCardAnalog.cs
@@ -19,7 +19,9 @@
 #endregion
 
 using System;
+using System.Diagnostics;
 using System.Runtime.InteropServices;
+using System.Text;
 using DirectShowLib;
 using Mediaportal.TV.Server.TVDatabase.Entities.Enums;
 using Mediaportal.TV.Server.TVLibrary.Implementations.Analog.Components;
@@ -34,6 +36,7 @@ using Mediaportal.TV.Server.TVLibrary.Interfaces.Interfaces;
 using Mediaportal.TV.Server.TVLibrary.Interfaces.Logging;
 using Capture = Mediaportal.TV.Server.TVLibrary.Implementations.Analog.Components.Capture;
 using Crossbar = Mediaportal.TV.Server.TVLibrary.Implementations.Analog.Components.Crossbar;
+using Encoder = Mediaportal.TV.Server.TVLibrary.Implementations.Analog.Components.Encoder;
 using Tuner = Mediaportal.TV.Server.TVLibrary.Implementations.Analog.Components.Tuner;
 using TvAudio = Mediaportal.TV.Server.TVLibrary.Implementations.Analog.Components.TvAudio;
 
@@ -340,6 +343,16 @@ namespace Mediaportal.TV.Server.TVLibrary.Implementations.Analog.Graphs.Analog
     /// </summary>
     public override void BuildGraph()
     {
+      var stackTrace = new StackTrace(true);
+      var sb = new StringBuilder();
+      foreach (var r in stackTrace.GetFrames())
+      {
+        sb.AppendLine(string.Format("Filename: {0} Method: {1} Line: {2} Column: {3}  ", r.GetFileName(), r.GetMethod(),
+                                    r.GetFileLineNumber(), r.GetFileColumnNumber()));        
+      }
+      
+      Log.Debug("analogue called from st: {0}", sb.ToString());
+
       if (_cardId == 0)
       {
         _configuration = Configuration.readConfiguration(_cardId, _name, _devicePath);
diff --git a/TvEngine3/Mediaportal/TV/Server/TvLibrary.Services/TVController.cs b/TvEngine3/Mediaportal/TV/Server/TvLibrary.Services/TVController.cs
index 936d605..9174d6d 100644
--- a/TvEngine3/Mediaportal/TV/Server/TvLibrary.Services/TVController.cs
+++ b/TvEngine3/Mediaportal/TV/Server/TvLibrary.Services/TVController.cs
@@ -50,6 +50,7 @@ using Mediaportal.TV.Server.TVLibrary.Epg;
 using Mediaportal.TV.Server.TVLibrary.EventDispatchers;
 using Mediaportal.TV.Server.TVLibrary.Implementations;
 using Mediaportal.TV.Server.TVLibrary.Implementations.Analog.Graphs.Analog;
+using Mediaportal.TV.Server.TVLibrary.Implementations.DVB.Graphs;
 using Mediaportal.TV.Server.TVLibrary.Implementations.Hybrid;
 using Mediaportal.TV.Server.TVLibrary.Interfaces;
 using Mediaportal.TV.Server.TVLibrary.Interfaces.Epg;
@@ -142,7 +143,7 @@ namespace Mediaportal.TV.Server.TVLibrary
           {
             return true;
           }
-          TvCardBase baseCard = card as TvCardBase;
+          TvCardDvbBase baseCard = card as TvCardDvbBase;
           if (baseCard == null)
           {
             // Non-initialised HybridCard instances exit here.
@@ -3370,8 +3371,8 @@ namespace Mediaportal.TV.Server.TVLibrary
           }
           else
           {
-            this.LogDebug("Controller: StartTimeShifting failed:{0} - no cards found during initial card allocation", result);
             result = AllCardsBusy(result);
+            this.LogDebug("Controller: StartTimeShifting failed:{0} - no cards found during initial card allocation", result);            
           }
         }
         catch (Exception ex)
-- 
1.8.0.msysgit.0

